<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
creation des lements personal de formulaire

update :
$Id$
fplod 2007-04-26T10:28:19Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:template name="personal">
 <xsl:param name="user"/>
 <xsl:param name="visu_modif"/> <!-- ++ readonly -->
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="fieldset">
   <xsl:attribute name="id">personal</xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="legend">
    Personal Information
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="label">
     <xsl:text>Lastname: </xsl:text>
     <xsl:text>&#xA;</xsl:text>
     <xsl:element name="input">
      <xsl:attribute name="name">personal_surname</xsl:attribute>
      <xsl:attribute name="tabindex">1</xsl:attribute> 
      <xsl:attribute name="type">text</xsl:attribute>
      <xsl:attribute name="value"><xsl:value-of select="$user/personname/surname"/></xsl:attribute> 
    </xsl:element>
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="label">
    <xsl:text>Firstname: </xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="input">
     <xsl:attribute name="name">personal_firstname</xsl:attribute>
     <xsl:attribute name="tabindex">2</xsl:attribute> 
     <xsl:attribute name="type">text</xsl:attribute>
     <xsl:attribute name="value"><xsl:value-of select="$user/personname/firstname"/></xsl:attribute> 
    </xsl:element>
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="label">
    <xsl:text>Middlename: </xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="input">
     <xsl:attribute name="name">personal_middlename</xsl:attribute>
     <xsl:attribute name="tabindex">3</xsl:attribute> 
     <xsl:attribute name="type">text</xsl:attribute>
     <xsl:attribute name="value"></xsl:attribute>  <!--++-->
    </xsl:element>
   </xsl:element>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="label">
    <xsl:text>email: </xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="input">
     <xsl:attribute name="name">personal_email</xsl:attribute>
     <xsl:attribute name="tabindex">4</xsl:attribute> 
     <xsl:attribute name="type">text</xsl:attribute>
     <xsl:attribute name="value"></xsl:attribute> 
     <xsl:attribute name="value"><xsl:value-of select="$user/email"/></xsl:attribute> 
    </xsl:element>
   </xsl:element>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
