<?xml version='1.0' encoding='ISO-8859-1'?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 

<!--
module :
production de la liste d'auteur (nom_prenom)

++ pour l'instant 
 $ xsltproc bibnemomaf_author.xsl biblio.xml | sort -u

update :
 ++ tri unique 
 ++ doublon cach ie masson_s et masson_sebastien 
 ++ middle name
$Id$
fplod 2007-04-03T13:10:11Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:output
 method="text"/>

<xsl:template match="bibliography">
 <xsl:apply-templates select="descendant::author"/>
</xsl:template>

<xsl:template name="author">
<!-- ++ middle name -->
   <xsl:variable name="lowersurname">
   <xsl:value-of select="translate(surname,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
   </xsl:variable>
   <xsl:variable name="lowerfirstname">
   <xsl:value-of select="translate(firstname,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
   </xsl:variable>
   <xsl:variable name="lowerfirstnamenob">
    <xsl:value-of select="translate($lowerfirstname,' ','_')"/>
   </xsl:variable>
   <xsl:variable name="lowerfirstnamenobnod">
    <xsl:value-of select="translate($lowerfirstnamenob,'.','')"/>
   </xsl:variable>
   <xsl:variable name="id_author">
<xsl:value-of select='concat($lowersurname,"_")'/>
<xsl:value-of select='$lowerfirstnamenobnod'/>
   </xsl:variable>
<xsl:value-of select='$id_author'/>
</xsl:template>

</xsl:stylesheet>

